vim.opt.relativenumber = true
vim.opt.number         = true
vim.opt.wrap           = false
vim.opt.emoji          = false
vim.opt.textwidth      = 72

vim.opt.cursorline     = true
vim.opt.cursorcolumn   = true

vim.opt.formatoptions:append({ t , 1 , o , n })
vim.api.nvim_create_autocmd(
	{'Filetype'},
	{
		pattern = {
			'vim'       ,
			'lua'       ,
			'markdown'  ,
			'python'    ,
			'javascript',
			'rust'      ,
		}                                        ,
		command = ':setlocal formatoptions+=t1on',
	}
)

require('monokai').setup {}
